MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003537ATutorPretty Urlpublic2008-08-20 23:472009-07-21 08:51
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.1 
Target VersionFixed in Version1.6.2 
Summary0003537: PHP notices in PrettyURL
DescriptionThere are PHP notices in include/classes/UrlRewrite/UrlParser.class.php . They're caused by the variable $_SERVER['PATH_INFO'], which that script relies upon, being not set in my system. It appears it's only set when Apache mod_rewrite is enabled.
That variable is used in some other files as well, with the same PHP notices as a result.

My test system:
Fedora Core 8
Apache 2.2.3
PHP 5.1.6

Unless I've missed something, system navigation seems to function normally.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
related to 0003650closedharris Several PHP Notices 

-  Notes
(0003229)
harris (developer)
2008-10-10 11:36

Is this one of the Notice: Unset Variable?
(0003402)
harris (developer)
2008-11-20 08:06

8243

- Issue History
Date Modified Username Field Change
2008-08-20 23:47 IndieRect New Issue
2008-08-20 23:47 IndieRect Affects version => SVN
2008-08-21 05:08 greg Status new => assigned
2008-08-21 05:08 greg Assigned To => harris
2008-10-10 11:36 harris Note Added: 0003229
2008-11-20 07:58 harris Relationship added related to 0003650
2008-11-20 08:06 harris Status assigned => resolved
2008-11-20 08:06 harris Fixed in Version => 1.6.2
2008-11-20 08:06 harris Resolution open => fixed
2008-11-20 08:06 harris Note Added: 0003402
2009-07-21 08:51 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker